#include "orbsvcs/LoadBalancing/LB_LoadAlert_Handler.h"

#include "tao/debug.h"


ACE_RCSID (LoadBalancing,
           LB_LoadAlert_Handler,
           "$Id: LB_LoadAlert_Handler.cpp 76589 2007-01-25 18:04:11Z elliott_c $")

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

TAO_LB_LoadAlert_Handler::~TAO_LB_LoadAlert_Handler (void)
{
}

void
TAO_LB_LoadAlert_Handler::enable_alert (void)
  ACE_THROW_SPEC ((CORBA::SystemException))
{
}

void
TAO_LB_LoadAlert_Handler::enable_alert_excep (
    ::Messaging::ExceptionHolder *)
  ACE_THROW_SPEC ((CORBA::SystemException))
{
  if (TAO_debug_level > 0)
    ACE_ERROR ((LM_ERROR,
                ACE_TEXT ("Exception caught when invoking ")
                ACE_TEXT ("LoadAlert::enable_alert()\n")));
}

void
TAO_LB_LoadAlert_Handler::disable_alert (void)
  ACE_THROW_SPEC ((CORBA::SystemException))
{
}

void
TAO_LB_LoadAlert_Handler::disable_alert_excep (
    ::Messaging::ExceptionHolder *)
  ACE_THROW_SPEC ((CORBA::SystemException))
{
  if (TAO_debug_level > 0)
    ACE_ERROR ((LM_ERROR,
                ACE_TEXT ("Exception caught when invoking ")
                ACE_TEXT ("LoadAlert::disable_alert()\n")));
}

TAO_END_VERSIONED_NAMESPACE_DECL
