/**
 * @file Client_Peer.h
 *
 * $Id: Client_Peer.h 76591 2007-01-25 18:17:52Z elliott_c $
 *
 * @author Carlos O'Ryan <coryan@atdesk.com>
 *
 */
#ifndef Client_Peer__h_
#define Client_Peer__h_

#include "TestS.h"

class Client_Peer
  : public POA_Test::Peer
{
public:
  Client_Peer (CORBA::ORB_ptr orb);

  void callme(Test::Peer_ptr callback,
              CORBA::ULong max_depth,
              Test::Payload const &)
    ACE_THROW_SPEC((CORBA::SystemException));
  void crash(void)
    ACE_THROW_SPEC((CORBA::SystemException));
  void noop(void)
    ACE_THROW_SPEC((CORBA::SystemException));

private:
  CORBA::ORB_var orb_;
};

#endif /* Client_Peer__h_ */
